Subject: bug#43078: linux-libre-arm64-generic lacks CONFIG_CGROUP_FREEZER=y

From: Tobias Geerinckx-Rice <[email-masked]>
Date: Fri, 28 Aug 2020 00:57:28 +0200

Leo, Vits,

Leo Famulari 写道：
> On Fri, Aug 28, 2020 at 01:52:58AM +0700, Vitaliy Shatrov wrote:
>> Hello Guix.
>> 
>> I:
>>    1. had linux-libre-arm64-generic as my kernel.
>>    2. added only (elogind-service-type) to my Guix System's 
>>    config.
>>    3. ran `guix system reconfigure`.
>>    4. get some errors: "///sys/something/freezer cannot be 
>>    something".
>>    5. rebooted, and were unable to log-in (get no prompt).
>> 
>> The issue was solved by using the same 
>> linux-libre-arm64-generic, but
>> customized: i set a 'CONFIG_CGROUP_FREEZER=y' in kconfig.
>
> This option is enabled in all of our kernel configurations:
>
> ------
> $ git grep CGROUP_FREEZER

Indeed, and the bug[0] reported here is that -generic doesn't use 
these configurations at all:

(define-public linux-libre-arm64-generic
  (make-linux-libre* linux-libre-version
                     linux-libre-source
                     '("aarch64-linux")
                     #:defconfig "defconfig"
                     #:extra-version "arm64-generic"
                     #:extra-options
                     (append
                      `(;; needed to fix the RTC on rockchip 
                      platforms
                        ("CONFIG_RTC_DRV_RK808" . #t))
                      %default-extra-linux-options)))

Note the missing #:configuration-file.

[0]: I don't know if this is really a bug--in fact I suspect it's 
the raison d'être of this variant--but this needs to be better 
documented and perhaps even renamed.  To me, ‘generic’ means 
‘distro default’, or perhaps ‘sanely minimal’, not ‘our own 
upstream's sometimes questionable defconfig that can't boot our 
own desktop’.

Allegedly.

Kind regards,

T G-R